Subject: Re: [XCON] Comments about draft-ietf-xcon-ccmp-04.txt

From: yguo2 <[email-masked]>
Date: Tue, 12 Jan 2010 15:06:34 -0800

Hi Simon,

For 1) I don't think it is necessary to replicate the whole example in CCMP.
It would be better if we can mention the example in CCMP and refer to the
call flow document for more details.

Thanks
Yu

On 09-12-21 上午9:53, "[email-masked]" <[email-masked]> wrote:

> Hi Yu,
> 
> see my answers in-line ([spromano]-prefixed).
> 
>> 1 In section 7: A complete example of the CCMP in action
>>     Can we have a new example for scenario:
>>         Alice tries to mute another user Bob.
> 
> [spromano] The mentioned example is contained in the call flows
> document (which we are on the point of submitting in its latest
> version), section 6.4, "Muting a party". I don't know if it is useful
> to replicate it in the CCMP document. What is your opinion about that?
> 
>> 
>> 2 If the conference system consists of general purpose conference room which
>> is bound to any user, then how does CCMP work in this situation?
>> Specifically, how would CCMP model the scenario: “room San Jose wants to
>> invite room New York to a conference”?
> 
> [spromano] CCMP does not envisage the possibility of "natively"
> inviting a conference to another conference. What can be done is for a
> user in a conference to retrieve the list of users in the other
> conference (usersRequest/retrieve) and immediately thereafter issue a
> usersRequest/update message aimed at modifying the allowed users list
> of the first conference (by stating that the newly invited users must
> be contacted in "dial-out" mode).
> Alternatively, we might create a sidebar (which would be in all
> respects a clone of the first conference) and invite all users of the
> second conference as participants in it.
> 
> Cheers,
> 
> Simon
> 
>